Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.nist
Interface NISTObjectIdentifiers

public interface NISTObjectIdentifiers

Field Summary
`static java.lang.String` | `aes`
`static DERObjectIdentifier` | `id_aes128_CBC`
`static DERObjectIdentifier` | `id_aes128_CFB`
`static DERObjectIdentifier` | `id_aes128_ECB`
`static DERObjectIdentifier` | `id_aes128_OFB`
`static DERObjectIdentifier` | `id_aes128_wrap`
`static DERObjectIdentifier` | `id_aes192_CBC`
`static DERObjectIdentifier` | `id_aes192_CFB`
`static DERObjectIdentifier` | `id_aes192_ECB`
`static DERObjectIdentifier` | `id_aes192_OFB`
`static DERObjectIdentifier` | `id_aes192_wrap`
`static DERObjectIdentifier` | `id_aes256_CBC`
`static DERObjectIdentifier` | `id_aes256_CFB`
`static DERObjectIdentifier` | `id_aes256_ECB`
`static DERObjectIdentifier` | `id_aes256_OFB`
`static DERObjectIdentifier` | `id_aes256_wrap`
`static DERObjectIdentifier` | `id_sha224`
`static DERObjectIdentifier` | `id_sha256`
`static DERObjectIdentifier` | `id_sha384`
`static DERObjectIdentifier` | `id_sha512`
`static java.lang.String` | `nistAlgorithm`

Field Detail

### nistAlgorithm

    public static final java.lang.String nistAlgorithm

### id_sha256

    public static final DERObjectIdentifier id_sha256

### id_sha384

    public static final DERObjectIdentifier id_sha384

### id_sha512

    public static final DERObjectIdentifier id_sha512

### id_sha224

    public static final DERObjectIdentifier id_sha224

### aes

    public static final java.lang.String aes

### id_aes128_ECB

    public static final DERObjectIdentifier id_aes128_ECB

### id_aes128_CBC

    public static final DERObjectIdentifier id_aes128_CBC

### id_aes128_OFB

    public static final DERObjectIdentifier id_aes128_OFB

### id_aes128_CFB

    public static final DERObjectIdentifier id_aes128_CFB

### id_aes128_wrap

    public static final DERObjectIdentifier id_aes128_wrap

### id_aes192_ECB

    public static final DERObjectIdentifier id_aes192_ECB

### id_aes192_CBC

    public static final DERObjectIdentifier id_aes192_CBC

### id_aes192_OFB

    public static final DERObjectIdentifier id_aes192_OFB

### id_aes192_CFB

    public static final DERObjectIdentifier id_aes192_CFB

### id_aes192_wrap

    public static final DERObjectIdentifier id_aes192_wrap

### id_aes256_ECB

    public static final DERObjectIdentifier id_aes256_ECB

### id_aes256_CBC

    public static final DERObjectIdentifier id_aes256_CBC

### id_aes256_OFB

    public static final DERObjectIdentifier id_aes256_OFB

### id_aes256_CFB

    public static final DERObjectIdentifier id_aes256_CFB

### id_aes256_wrap

    public static final DERObjectIdentifier id_aes256_wrap

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD